local L = AceLibrary("AceLocale-2.2"):new("Quartz")
L:RegisterTranslations("deDE", function()
	return {
		["Quartz"] = "Quartz",
		["Latency"] = "Latenz",
--		["Tradeskill Merge"] = true,
		["Global Cooldown"] = "Globaler Cooldown",
		["Buff"] = "Buff",
		["Target"] = "Ziel",
		["Focus"] = "Fokus",
		["Player"] = "Spieler",
--		["Mirror"] = true,
		["Timer"] = "Timer",
		["Swing"] = "Schwung",
		["Interrupt"] = "Unterbrechung",
--		["Range"] = true,
		
--		["GCD"] = true,
--		["Tradeskill"] = true,
		
		-- Basic shared stuff
		["Above"] = "Oben",
		["Alpha"] = "Alpha",
		["Background"] = "Hintergrund",
		["Below"] = "Unten",
		["Border"] = "Rahmen",
		["Bottom"] = "Unten",
		["Bottom Left"] = "Unten links",
		["Bottom Right"] = "Unten rechts",
		["Center"] = "Mitte",
		["Colors"] = "Farben",
		["Default"] = "Standard",
		["Down"] = "Nach unten",
		["Enable"] = "Aktivieren",
		["Font"] = "Schrift",
		["Font Size"] = "Schriftgr\195\182\195\159e",
		["Free"] = "Frei",
		["Full Text"] = "Voller Text",
		["Gap"] = "L\195\188cke",
		["Height"] = "H\195\182he",
		["Horizontal"] = "Horizontal",
		["Left"] = "Links",
		["Left (grow down)"] = "Links (nach unten)",
		["Left (grow up)"] = "Links (nach oben)",
		["None"] = "Kein",
		["Number"] = "Anzahl",
		["Outside"] = "Au\195\159erhalb",
		["Right"] = "Rechts",
		["Right (grow down)"] = "Rechts (nach unten)",
		["Right (grow up)"] = "Rechts (nach oben)",
		["Scale"] = "Skalierung",
		["Spacing"] = "Abstand",
		["Texture"] = "Textur",
		["Text Color"] = "Textfarbe",
		["Top"] = "Ganz oben",
		["Top Left"] = "Ganz oben links",
		["Top Right"] = "Ganz oben rechts",
		["Up"] = "Nach oben",
		["Vertical"] = "Vertikal",
		["Width"] = "Breite",
		
		-- Option Names
		
		["Lock"] = "Sperren",
		["Hide Icon"] = "Symbol verstecken",
		["Icon Alpha"] = "Symbol Alpha",
--		["Icon Gap"] = true,
--		["Name Text Position"] = true,
--		["Name Text Font Size"] = true,
		["Spell Rank"] = "Zauberrang",
		["Spell Rank Style"] = "Style Zauberrang",
--		["Hide Name Text"] = true,
--		["Hide Time Text"] = true,
--		["Time Font Size"] = true,
--		["Time Text Position"] = true,
		["Spell Text"] = "Zaubertext",
		["Time Text"] = "Zeittext",
--		["Casting"] = true,
--		["Channeling"] = true,
--		["Complete"] = true,
		["Failed"] = "Fehlgeschlagen",
--		["Spark Color"] = true,
		["Background Alpha"] = "Hintergrund Alpha",
		["Border Alpha"] = "Rahmen Alpha",
		["Disable Blizzard Cast Bar"] = "Blizzard-Castbar deaktivieren",
--		["Snap to Center"] = true,
		["Icon Position"] = "Symbolposition",
		["Text Alignment"] = "Textausrichtung",
		["Text Position"] = "Textposition",
		["Copy Settings From"] = "Kopiere Einstellungen von",
--		["Cast Start Side"] = true,
--		["Cast End Side"] = true,
--		["Name Text X Offset"] = true,
--		["Name Text Y Offset"] = true,
--		["Time Text X Offset"] = true,
--		["Time Text Y Offset"] = true,
		
--		["Roman"] = true,
--		["Roman Full Text"] = true,
			--Latency
--			["Embed"] = true,
--			["Embed Safety Margin"] = true,
			["Bar Color"] = "Leistenfarbe",
			["Show Text"] = "Text anzeigen",
			--GCD
--			["Primary"] = true,
--			["Backup"] = true,
			["%s Spell"] = "%s Zauber",
			["Bar Position"] = "Leistenposition",
			--Buffs
			["Focus"] = "Fokus",
			["Target"] = "Ziel",
			["Enable %s"] = "%s aktivieren",
			["Enable Buffs"] = "Buffs aktivieren",
			["Enable Debuffs"] = "Debuffs aktivieren",
			["Position"] = "Position",
--			["Offset"] = true,
			["Show Icons"] = "Symbole anzeigen",
--			["Buff Bar Width"] = true,
--			["Buff Bar Height"] = true,
--			["Buff Name Text"] = true,
--			["Buff Time Text"] = true,
			["Buff Color"] = "Buff-Farbe",
			["Debuff Color"] = "Debuff-Farbe",
			["Debuffs by Type"] = "Debuffs nach Art",
--			["Undispellable Color"] = true,
--			["Curse Color"] = true,
--			["Disease Color"] = true,
--			["Magic Color"] = true,
--			["Poison Color"] = true,
--			["Anchor Frame"] = true,
--			["Grow Direction"] = true,
			--Mirror
--			["Mirror Bar Width"] = true,
--			["Mirror Bar Height"] = true,
--			["Mirror Name Text"] = true,
--			["Mirror Time Text"] = true,
--			["Hide Blizz Mirror Bars"] = true,
			["%s Color"] = "%s Farbe",
			["Breath"] = "Atem",
			["Exhaustion"] = "Ersch\195\182pfung",
			["Feign Death"] = "Totstellen",
--			["Show Mirror"] = true,
--			["Show Static"] = true,
			["Show PvP"] = "PvP anzeigen",
			--Timer
			["Stop Timer"] = "Timer stoppen",
			["Make Timer"] = "Timer erstellen",
			["New Timer Name"] = "Neuer Timer-Name",
			["New Timer Length"] = "Neue Timer-L\195\164nge",
			--Swing
--			["Duration Text"] = true,
--			["Remaining Text"] = true,
			--Interrupt
			["Interrupt Color"] = "Unterbrechung Farbe",
			--Range
--			["Out of Range Color"] = true,
			
		-- Option descriptions
		
--		["Toggle Cast Bar lock"] = true,
--		["Hide Spell Cast Icon"] = true,
--		["Set the Spell Cast icon alpha"] = true,
--		["Set where the Spell Cast icon appears"] = true,
--		["Space between the cast bar and the icon."] = true,
--		["Set the Cast Bar Texture"] = true,
--		["Set the font used in the Name and Time texts"] = true,
--		["Set the alignment of the spell name text"] = true,
--		["Set the size of the spell name text"] = true,
--		["Disable the text that displays the time remaining on your cast"] = true,
--		["Disable the text that displays the spell name/rank"] = true,
--		["Display the rank of spellcasts alongside their name"] = true,
--		["Set the display style of the spell rank"] = true,
--		["Set the size of the time text"] = true,
--		["Set the alignment of the time text"] = true,
--		["Set the border style"] = true,
--		["Set the color of the %s"] = true,
--		["Set the color of the cast bar when %s"] = true,
--		["Set the color of the casting bar spark"] = true,
--		["Set the color of the casting bar background"] = true,
--		["Set the alpha of the casting bar background"] = true,
--		["Set the color of the casting bar border"] = true,
--		["Set the alpha of the casting bar border"] = true,
--		["Disable and hide the default UI's casting bar"] = true,
--		["Move the CastBar to center of the screen along the specified axis"] = true,
--		["Select a bar from which to copy settings"] = true,
--		["Adjust the X position of the name text"] = true,
--		["Adjust the Y position of the name text"] = true,
--		["Adjust the X position of the time text"] = true,
--		["Adjust the Y position of the time text"] = true,
		
			--Latency
--			["Include Latency time in the displayed cast bar."] = true,
--			["Embed mode will decrease it's lag estimates by this amount.  Ideally, set it to the difference between your highest and lowest ping amounts.  (ie, if your ping varies from 200ms to 400ms, set it to 0.2)"] = true,
--			["Latency Bar"] = true,
--			["Set the alpha of the latency bar"] = true,
--			["Display the latency time as a number on the latency bar"] = true,
--			["Set the font used for the latency text"] = true,
--			["Set the size of the latency text"] = true,
--			["Set the color of the latency text"] = true,
--			["Set the position of the latency text"] = true,
--			["Set the vertical position of the latency text"] = true,
			--GCD
--			["%s spell to check for the Global Cooldown"] = true,
--			["Set the color of the GCD bar spark"] = true,
--			["Set the height of the GCD bar"] = true,
--			["Set the alpha of the GCD bar"] = true,
--			["Set the position of the GCD bar"] = true,
--			["Tweak the distance of the GCD bar from the cast bar"] = true,
			--Buffs
--			["Show buffs/debuffs for your %s"] = true,
--			["Show buffs for your %s"] = true,
--			["Show debuffs for your %s"] = true,
--			["Position the bars for your %s"] = true,
--			["Tweak the vertical position of the bars for your %s"] = true,
--			["Tweak the space between bars for your %s"] = true,
--			["Tweak the horizontal position of the bars for your %s"] = true,
--			["Show icons on buffs and debuffs for your %s"] = true,
--			["Set the side of the buff bar that the icon appears on"] = true,
--			["Set the buff bar Texture"] = true,
--			["Set the width of the buff bars"] = true,
--			["Set the height of the buff bars"] = true,
--			["Display the names of buffs/debuffs on their bars"] = true,
--			["Display the time remaining on buffs/debuffs on their bars"] = true,
--			["Set the font used in the buff bars"] = true,
--			["Set the font size for the buff bars"] = true,
--			["Set the alpha of the buff bars"] = true,
--			["Set the color of the bars for buffs"] = true,
--			["Set the color of the bars for debuffs"] = true,
--			["Set the color of the text for the buff bars"] = true,
--			["Color debuff bars according to their dispel type"] = true,
--			["Set the color of the bars for undispellable debuffs"] = true,
--			["Set the color of the bars for curses"] = true,
--			["Set the color of the bars for diseases"] = true,
--			["Set the color of the bars for magic"] = true,
--			["Set the color of the bars for poisons"] = true,
--			["Select where to anchor the %s bars"] = true,
--			["Toggle %s bar lock"] = true,
--			["Set the grow direction of the %s bars"] = true,
			--Mirror
--			["Position the mirror bars"] = true,
--			["Tweak the vertical position of the mirror bars"] = true,
--			["Tweak the space between mirror bars"] = true,
--			["Tweak the horizontal position of the mirror bars"] = true,
--			["Show icons on mirror bars"] = true,
--			["Set the side of the mirror bar that the icon appears on"] = true,
--			["Set the mirror bar Texture"] = true,
--			["Set the width of the mirror bars"] = true,
--			["Set the height of the mirror bars"] = true,
--			["Display the names of Mirror Bar Types on their bars"] = true,
--			["Display the time remaining on mirror bars"] = true,
--			["Set the font used in the mirror bars"] = true,
--			["Set the color of the text for the mirror bars"] = true,
--			["Set the font size for the mirror bars"] = true,
--			["Set the alpha of the mirror bars"] = true,
--			["Hide Blizzard's mirror bars"] = true,
--			["Set the color of the bars for %s"] = true,
--			["Show mirror bars such as breath and feign death"] = true,
--			["Show bars for static popup items such as rez and summon timers"] = true,
--			["Show bar for start of arena and battleground games"] = true,
--			["Select where to anchor the mirror bars"] = true,
--			["Toggle mirror bar lock"] = true,
--			["Set the grow direction of the mirror bars"] = true,
			--Timer
--			["Make a new timer using the above settings.  NOTE: it may be easier for you to simply use the command line to make timers, /qt"] = true,
--			["Select a timer to stop"] = true,
--			["Set a name for the new timer"] = true,
--			["Length of the new timer, in seconds"] = true,
			--Swing
--			["Set the color of the swing timer bar"] = true,
--			["Set the height of the swing timer bar"] = true,
--			["Set the alpha of the swing timer bar"] = true,
--			["Set the position of the swing timer bar"] = true,
--			["Tweak the distance of the swing timer bar from the cast bar"] = true,
--			["Toggle display of text showing your total swing time"] = true,
--			["Toggle display of text showing the time remaining until you can swing again"] = true,
			--Interrupt
--			["Set the color the cast bar is changed to when you have a spell interrupted"] = true,
			--Range
--			["Set the color to turn the cast bar when the target is out of range"] = true,
			
		-- Other crap
		["Rank (%d+)"] = "Rang (%d+)",
		["Rank %s"] = "Rang %s",
			--Latency
			["%dms"] = "%dms",
			--GCD
			["<Spell Name>"] = "<Zaubername>",
			["Invalid Spell"] = "Ung\195\188ltiger Zauber",
--			["Spell_Warning"] = "|cffff3333Warning: You have no spell chosen for Quartz's Global Cooldown module.  Please enter a spell name in the menu (/quartz, then click Global Cooldown). Note, it is recommended to use a spell that cannot have a cooldown other than the global cooldown and cannot be interrupted, such as Find Herbs",
			--Buffs
			["%dm"] = "%dm",
			--Mirror
			["Logout"] = "Ausloggen",
--			["Release"] = true,
			["Logout"] = "Ausloggen",
--			["Forfeit Duel"] = true,
--			["Instance Boot"] = true,
--			["Summon"] = true,
--			["AOE Rez"] = true,
			["Quit"] = "Verlassen",
			["Resurrect"] = "Wiederbeleben",
			["Party Invite"] = "Gruppeneinladung",
--			["Resurrect Timer"] = true,
--			["Duel Request"] = true,
			["Game Start"] = "Spielstart",
			["1 minute"] = "1 Minute",
			["One minute until"] = "Eine Minute bis",
			["30 seconds"] = "30 Sekunden",
			["Thirty seconds until"] = "Drei\195\159ig Sekunden bis",
			["15 seconds"] = "15 Sekunden",
			["Fifteen seconds until"] = "F\195\188nfzehn Sekunden bis",
			--Timer
			['Usage: /quartztimer timername 60 or /quartztimer 60 timername'] = "Verwendung: /quartztimer Timer-Name 60 oder /quartztimer 60 Timer-Name",
			["Timers module currently disabled, re-enable it in the menu"] = "Timer-Modul aktuell deaktiviert, reaktivieren im Men\195\188",
			["<Time in seconds>"] = "<Zeit in Sekunden>",
			--Swing
			--Interrupt
			["INTERRUPTED (%s)"] = "UNTERBROCHEN (%s)",
			--Range
	}
end)
